#ifndef __PSGLGRAPHICS_H__
#define __PSGLGRAPHICS_H__

#include "IGraphics.h"

#include <PSGL/psgl.h>
#include <PSGL/psglu.h>
#include <cell/dbgfont.h>

class PSGLGraphics : IGraphics<GLfloat, GLint>
{
public:
	PSGLGraphics();
	~PSGLGraphics();

	virtual void Init();
	virtual void Init(uint32_t resolutionId, uint16_t pal60Hz);
	virtual void Deinit();

	virtual void InitDbgFont();
	virtual void DeinitDbgFont();

	virtual GLfloat GetDeviceAspectRatio();
	virtual GLint GetResolutionWidth();
	virtual GLint GetResolutionHeight();

private:
	PSGLdeviceParameters InitCommon(uint16_t resolutionId, uint16_t pal60Hz);
	PSGLdevice* psgl_device;
	PSGLcontext* psgl_context;
	GLuint gl_width;
	GLuint gl_height;

	CellDbgFontConsoleId dbg_id;
};

#endif
